var Be = Object.defineProperty;
var Pe = (s, t, n) => t in s ? Be(s, t, {
    enumerable: !0,
    configurable: !0,
    writable: !0,
    value: n
}) : s[t] = n;
var re = (s, t, n) => (Pe(s, typeof t != "symbol" ? t + "" : t, n),
n);
import {R as ve, B as x, G as M, aI as se, O as i, T as K, N as d, I as m, K as z, M as ee, J as e, P as l, ap as te, C as j, E as be, r as b, aA as de, ax as O, ao as $, aC as ne, aD as oe, w as Re, af as Le, $ as H, H as E, au as V, av as P, Q as B, aB as G, z as ye, bI as fe, bJ as ue, bH as De, bm as xe, aY as he, bK as Ne, a5 as Ue, ar as Z, az as Ve, ay as Q, aq as Oe, n as $e, bD as Me, o as Ee, bL as je, bM as Ge, bN as ze, bO as He, bP as Fe, bQ as We, bR as Ke, bS as Ye, bi as qe, bT as Xe, bg as Je, bU as Qe, bV as Ze, bW as et, bX as tt, bY as st, bZ as nt, b_ as ot, bh as at, b$ as it, c0 as lt, c1 as ct, c2 as rt, c3 as ut, c4 as dt, c5 as vt, bl as _t, c6 as pt, c7 as mt, c8 as ft, c9 as ht, ca as gt, cb as wt, cc as bt, cd as yt, ce as $t, cf as kt, cg as St, ch as Ct, ci as At, cj as It, ck as Tt, cl as Bt} from "./common.modules-f9fa5dc7.js";
import {y as ae, b as ke, c as X, _ as U, G as ie, a1 as Se, g as W, n as J, m as Ce, cR as Pt, ek as Rt, u as Lt, bf as Dt, el as xt, em as Nt, a3 as Ut, a4 as Vt, en as Ot, eo as Mt, a6 as Et, ep as jt, eq as Gt, a$ as zt, aS as Ht, er as Ft, es as Wt, et as Kt, eu as Yt, b5 as qt, cD as Xt, b6 as Jt, b8 as Qt, N as Ae, i as Zt, ev as es, aI as ts, ew as ss, ex as ge, ey as ns, aD as Ie} from "./page-activity-ActivityDetail-0d51a056.js";
import {f as os} from "./page-activity-FirstRecharge-13f5682f.js";
import {B as as} from "./page-activity-Bonus-f5229d51.js";
import "./page-turntable-assets-d6267459.js";
import "./native/index-eb46cb93.js";
import "./en-0806f032.js";
import "./page-activity-DailySignIn-feddb04c.js";
window.getBuildInfo = function() {
    return {
        buildTime: "1/12/2026, 9:39:25 PM",
        branch: " commitId:f3f0e2b634ef2389e929fdfcbc4fb26f902da6d6"
    }
}
;
(function() {
    const t = document.createElement("link").relList;
    if (t && t.supports && t.supports("modulepreload"))
        return;
    for (const a of document.querySelectorAll('link[rel="modulepreload"]'))
        o(a);
    new MutationObserver(a => {
        for (const u of a)
            if (u.type === "childList")
                for (const v of u.addedNodes)
                    v.tagName === "LINK" && v.rel === "modulepreload" && o(v)
    }
    ).observe(document, {
        childList: !0,
        subtree: !0
    });
    function n(a) {
        const u = {};
        return a.integrity && (u.integrity = a.integrity),
        a.referrerPolicy && (u.referrerPolicy = a.referrerPolicy),
        a.crossOrigin === "use-credentials" ? u.credentials = "include" : a.crossOrigin === "anonymous" ? u.credentials = "omit" : u.credentials = "same-origin",
        u
    }
    function o(a) {
        if (a.ep)
            return;
        a.ep = !0;
        const u = n(a);
        fetch(a.href, u)
    }
}
)();
const is = [{
    name: "home"
}, {
    name: "activity"
}, {
    name: "turntable"
}, {
    name: "promotion"
}, {
    name: "main"
}]
  , ls = () => {
    const s = ve();
    async function t(v) {
        await s.push({
            name: v
        })
    }
    const n = ae()
      , o = x( () => `url(${n.getInvitedWheelImgUrl ? n.getInvitedWheelImgUrl : ke("common", "wheel")})`)
      , a = x( () => n.getInvitedWheelTotalPrizeAmount);
    return {
        isTurntable: x( () => n.getIsOpenInvitedWheel),
        getInvitedWheelImgUrl: o,
        getInvitedWheelTotalPrizeAmount: a,
        handleClick: t
    }
}
  , cs = {
    key: 0,
    class: "tabbar__container"
}
  , rs = ["onClick"]
  , us = {
    key: 1,
    class: "tabbar__container isTurntable"
}
  , ds = ["onClick"]
  , vs = {
    key: 0
}
  , _s = {
    key: 1
}
  , ps = M({
    __name: "index7",
    setup(s) {
        se(_ => ({
            "58c5bdfc-getInvitedWheelImgUrl": i(n)
        }));
        const {isTurntable: t, getInvitedWheelImgUrl: n, getInvitedWheelTotalPrizeAmount: o, handleClick: a} = ls()
          , u = K()
          , v = [{
            name: "promotion"
        }, {
            name: "activity"
        }, {
            name: "home"
        }, {
            name: "wallet"
        }, {
            name: "main"
        }];
        return (_, g) => i(t) ? (d(),
        m("div", us, [(d(!0),
        m(z, null, ee(i(is), (c, w) => (d(),
        m("div", {
            class: te(["tabbar__container-item", [c.name === i(u).name && "active", c.name, c.name === "turntable" && "turntableBg"]]),
            key: c + "" + w,
            onClick: T => i(a)(c.name)
        }, [c.name === "turntable" ? (d(),
        m("span", vs, l(_.$t("getMoney", [i(X)(i(o), "", 0)])), 1)) : (d(),
        m("span", _s, l(_.$t(c.name)), 1))], 10, ds))), 128))])) : (d(),
        m("div", cs, [(d(),
        m(z, null, ee(v, (c, w) => e("div", {
            class: te(["tabbar__container-item", [c.name === i(u).name && "active", c.name]]),
            key: c + "" + w,
            onClick: T => i(a)(c.name)
        }, l(_.$t(c.name)), 11, rs)), 64))]))
    }
});
const ms = U(ps, [["__scopeId", "data-v-58c5bdfc"], ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/TabBar/index7.vue"]]);
function fs() {
    const s = ie()
      , t = () => {
        document.visibilityState === "visible" ? s.setvisibility() : s.setvisibility(0)
    }
    ;
    j( () => {
        document.addEventListener("visibilitychange", t)
    }
    ),
    be( () => {
        document.removeEventListener("visibilitychange", t)
    }
    )
}
const hs = M({
    __name: "Customer",
    setup(s) {
        se(I => ({
            "f6a705e1-currentFontFamily": q.value
        }));
        const t = "public5BlackGoldHome"
          , n = K()
          , {getSelfCustomerServiceLink: o} = Se({
            ServerType: 2
        })
          , a = b(!1)
          , u = b({
            x: 0,
            y: 0
        })
          , v = b(0)
          , _ = b(0)
          , g = b(0)
          , c = b(0)
          , w = b(0)
          , T = b(0)
          , k = b();
        let h, C, y, f;
        const r = x( () => ["electronic", "blackGoldHome"].includes(t) ? !1 : !["/wallet/Withdraw/C2cDetail", "/wallet/RechargeHistory/RechargeUpiDetail", "/wallet/Withdraw/Upi", "/wallet/Withdraw/AddUpi", "/wallet/Withdraw/c2cCancelWithdrawal/index.vue", "/wallet/otherPay?type=C2C", "/home/game", "/installApp"].includes(n.path));
        function p() {
            Y(h, C, y, f) || o()
        }
        j( () => {
            k.value = document.getElementById("customerId")
        }
        );
        function D(I) {
            a.value = !0;
            var S;
            I.touches ? S = I.touches[0] : S = I,
            u.value.x = S.clientX,
            u.value.y = S.clientY,
            v.value = k.value.offsetLeft,
            _.value = k.value.offsetTop,
            h = I.clientX,
            C = I.clientY
        }
        function R(I) {
            if (a.value) {
                var S, L = document.getElementById("customerId"), N = L.clientWidth, F = L.clientHeight, pe = document.documentElement.clientHeight, me = document.documentElement.clientWidth;
                I.touches ? S = I.touches[0] : S = I,
                g.value = S.clientX - u.value.x,
                c.value = S.clientY - u.value.y,
                w.value = v.value + g.value,
                T.value = _.value + c.value,
                w.value <= 0 && (w.value = 0),
                T.value <= 0 && (T.value = 0),
                w.value >= me - N && (w.value = me - N),
                T.value >= pe - F && (T.value = pe - F),
                k.value.style.left = w.value + "px",
                k.value.style.top = T.value + "px",
                document.addEventListener("touchmove", function() {
                    I.preventDefault()
                }, !1)
            }
            I.stopPropagation(),
            I.preventDefault()
        }
        function A(I) {
            a.value = !1,
            y = I.clientX,
            f = I.clientY
        }
        function Y(I, S, L, N) {
            return !(Math.sqrt((I - L) * (I - L) + (S - N) * (S - N)) <= 1)
        }
        const q = b("bahnschrift");
        return (I, S) => {
            const L = de("lazy")
              , N = de("scrollhide");
            return r.value ? O((d(),
            m("div", {
                key: 0,
                class: "customer",
                onClick: p,
                onMousedown: D,
                onTouchstart: D,
                onMousemove: R,
                onTouchmove: R,
                onMouseup: A,
                id: "customerId"
            }, [O(e("img", null, null, 512), [[L, i(W)("home", "icon_sevice")]])], 32)), [[N]]) : $("v-if", !0)
        }
    }
});
const gs = U(hs, [["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/common/Customer.vue"]])
  , ws = "/assets/png/logo2-c53fbb00.png";
const bs = {}
  , ys = s => (ne("data-v-5eb72be7"),
s = s(),
oe(),
s)
  , $s = {
    class: "start-page"
}
  , ks = ys( () => e("div", null, [e("div", {
    class: "dice"
}), e("img", {
    class: "logo",
    src: ws
})], -1))
  , Ss = [ks];
function Cs(s, t) {
    return d(),
    m("div", $s, Ss)
}
const As = U(bs, [["render", Cs], ["__scopeId", "data-v-5eb72be7"], ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/entrance/ar079/StartPage.vue"]])
  , Is = {
    class: "header"
}
  , Ts = {
    class: "title"
}
  , Bs = {
    class: "tip"
}
  , Ps = {
    class: "container"
}
  , Rs = {
    class: "footer"
}
  , Ls = M({
    __name: "dialog",
    setup(s) {
        const t = ve()
          , n = K()
          , o = b(!1)
          , {closeFirstSave: a} = J()
          , {ActiveSotre: u, getFirstRechargeList: v} = Ce()
          , _ = Re(new Date).format("YYYY-MM-DD")
          , g = Le("firstSave", null)
          , c = x( () => g.value == _)
          , w = () => {
            c.value ? (g.value = "",
            localStorage.removeItem("firstSave")) : g.value = _
        }
          , T = () => {
            o.value = !1,
            a()
        }
          , k = ["activity", "home", "main", "wallet", "promotion"];
        H( () => n.name, f => {
            k.includes(n.name) && h()
        }
        );
        const h = () => {
            if (g.value == _)
                return a();
            v().then(f => {
                if (!f.length) {
                    o.value = !1,
                    a();
                    return
                }
                const r = f.find(p => p.isFinshed);
                r && (u.value.isShowFirstSaveDialog = !1),
                r || (o.value = !0)
            }
            )
        }
          , C = () => {
            o.value = !1,
            a(!0),
            t.push({
                name: "FirstRecharge"
            })
        }
          , y = () => {
            o.value = !1,
            a(!0),
            t.push({
                name: "Recharge"
            })
        }
        ;
        return j( () => {
            k.includes(n.name) && h()
        }
        ),
        (f, r) => {
            const p = E("van-checkbox")
              , D = E("van-dialog");
            return d(),
            V(D, {
                show: o.value,
                "onUpdate:show": r[1] || (r[1] = R => o.value = R),
                className: "firstSaveDialog"
            }, {
                title: P( () => [e("div", Is, [e("div", Ts, l(f.$t("firstDialogH")), 1), e("div", Bs, l(f.$t("firstDialogTip")), 1)])]),
                footer: P( () => [e("div", Rs, [$(` <div class="active" :class="{ a: isActive}" @click="changeActive"><svg-icon name="active" />{{ $t('noTipToday') }}</div> `), e("div", {
                    class: te(["active", {
                        a: c.value
                    }]),
                    onClick: w
                }, [B(p, {
                    modelValue: c.value,
                    "onUpdate:modelValue": r[0] || (r[0] = R => c.value = R)
                }, null, 8, ["modelValue"]), G(l(f.$t("noTipToday")), 1)], 2), e("div", {
                    class: "btn",
                    onClick: C
                }, l(f.$t("activity")), 1)])]),
                default: P( () => [e("div", Ps, [B(os, {
                    list: i(u).FirstRechargeList,
                    onGorecharge: y
                }, null, 8, ["list"])]), e("div", {
                    class: "close",
                    onClick: T
                })]),
                _: 1
            }, 8, ["show"])
        }
    }
});
const Ds = U(Ls, [["__scopeId", "data-v-9cd12fb2"], ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/Activity/FirstRecharge/dialog.vue"]])
  , xs = s => (ne("data-v-7dee72bf"),
s = s(),
oe(),
s)
  , Ns = {
    key: 0,
    class: "second-verification"
}
  , Us = {
    class: "head"
}
  , Vs = {
    key: 0,
    class: "tip"
}
  , Os = {
    key: 1,
    class: "tip"
}
  , Ms = {
    key: 2,
    class: "errorText"
}
  , Es = {
    class: "pin-wrapper"
}
  , js = {
    class: "pin-input"
}
  , Gs = {
    class: "numeric-keypad"
}
  , zs = ["onClick"]
  , Hs = xs( () => e("div", {
    class: "key key--placeholder"
}, null, -1))
  , Fs = M({
    __name: "secondVerification",
    setup(s) {
        const {t} = ye()
          , n = b(!0)
          , o = b(!0)
          , a = b([])
          , u = b("")
          , v = b(0)
          , _ = b("")
          , g = b("")
          , c = b(0)
          , w = async y => {
            const f = await ue.genSalt(10);
            return await ue.hash(y, f)
        }
          , T = async (y, f) => await ue.compare(y, f)
          , k = async y => {
            if (!(a.value.length >= 6) && (a.value.push(y),
            a.value.length === 6))
                if (o.value) {
                    if (v.value === 0) {
                        v.value = 1,
                        u.value = a.value.join(""),
                        a.value = [];
                        return
                    }
                    if (v.value === 1) {
                        const f = a.value.join("");
                        f === u.value ? (_.value = await w(f),
                        Rt("appLock", _.value).then( () => {
                            a.value = [],
                            v.value = 0,
                            u.value = "",
                            n.value = !1,
                            o.value = !1
                        }
                        )) : (g.value = t("registerTip4"),
                        a.value = [],
                        v.value = 0,
                        u.value = "")
                    }
                } else {
                    const f = a.value.join("")
                      , r = await T(f, _.value);
                    console.log("verify", r),
                    r ? (n.value = !1,
                    a.value = []) : (a.value = [],
                    c.value += 1,
                    g.value = t("idlockTip1", [c.value]),
                    c.value >= 3 && C())
                }
        }
          , h = () => {
            a.value.pop()
        }
          , C = () => {
            localStorage.clear(),
            sessionStorage.clear(),
            fe.exitApp()
        }
        ;
        return j(async () => {
            let y = await Pt(["appLock"]);
            _.value = (y == null ? void 0 : y.appLock) || "",
            o.value = !_.value,
            fe.addListener("appStateChange", ({isActive: f}) => {
                f ? (console.log("App 被唤起（从后台回来或直接启动）"),
                n.value = !0) : console.log("App 进入后台")
            }
            )
        }
        ),
        (y, f) => n.value ? (d(),
        m("div", Ns, [e("div", Us, [G(l(y.$t("loginPSW")) + " ", 1), e("div", {
            class: "out",
            onClick: C
        }, l(y.$t("logout")), 1)]), o.value ? (d(),
        m("div", Vs, l(v.value === 0 ? y.$t("newPSWRest") : y.$t("newPSWconfirm")), 1)) : (d(),
        m("div", Os, l(y.$t("registerTip2")), 1)), g.value ? (d(),
        m("div", Ms, l(g.value), 1)) : $("v-if", !0), e("div", Es, [$(" 6 位输入框 "), e("div", js, [(d(),
        m(z, null, ee(6, r => e("div", {
            key: r,
            class: te(["pin-box", a.value.length >= r && "a"])
        }, null, 2)), 64))]), $(" 数字键盘 "), e("div", Gs, [(d(),
        m(z, null, ee(9, r => e("button", {
            key: r,
            class: "key",
            type: "button",
            onClick: p => k(String(r))
        }, l(r), 9, zs)), 64)), $(" 占位 "), Hs, $(" 0 "), e("button", {
            class: "key",
            type: "button",
            onClick: f[0] || (f[0] = r => k("0"))
        }, "0"), $(" 删除 "), e("button", {
            class: "key key--danger",
            type: "button",
            onClick: h
        }, "←")])])])) : $("v-if", !0)
    }
});
const Ws = U(Fs, [["__scopeId", "data-v-7dee72bf"], ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/common/secondVerification.vue"]])
  , Ks = {
    class: "title"
}
  , Ys = {
    class: "container"
}
  , qs = M({
    __name: "index",
    setup(s) {
        const {store: t} = J()
          , {getRewards: n, list: o, query: a, onBonusPack: u} = Lt();
        return H( () => t.rewardCenter, v => {
            v && n()
        }
        ),
        (v, _) => {
            const g = E("van-dialog");
            return d(),
            V(g, {
                show: i(t).rewardCenter,
                "onUpdate:show": _[1] || (_[1] = c => i(t).rewardCenter = c),
                className: "reward-dialog",
                "show-confirm-button": !1
            }, {
                title: P( () => [e("div", Ks, l(v.$t("bonusCollection")), 1)]),
                footer: P( () => [e("div", {
                    class: "close",
                    onClick: _[0] || (_[0] = c => i(t).rewardCenter = !1)
                })]),
                default: P( () => [e("div", Ys, [(d(!0),
                m(z, null, ee(i(o), c => (d(),
                V(as, {
                    key: c.activityId,
                    item: c,
                    state: i(a).receiveState,
                    time: !1,
                    onPack: i(u)
                }, null, 8, ["item", "state", "onPack"]))), 128))])]),
                _: 1
            }, 8, ["show"])
        }
    }
});
const Xs = U(qs, [["__scopeId", "data-v-35a27ba7"], ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/Activity/Bonus/index.vue"]])
  , Js = "/assets/png/reBenefits_bg-7f0892df.png"
  , Qs = "/assets/png/reBenefits_bg2-c1e03141.png"
  , le = s => (ne("data-v-2c97c46a"),
s = s(),
oe(),
s)
  , Zs = {
    class: "container"
}
  , en = {
    class: "benefit-box"
}
  , tn = {
    class: "benefit-title"
}
  , sn = le( () => e("br", null, null, -1))
  , nn = {
    key: 0,
    class: "isBenefit-subtitle"
}
  , on = {
    key: 1,
    class: "benefit-subtitle"
}
  , an = {
    key: 2,
    class: "isBenefit-bonus"
}
  , ln = {
    key: 3,
    class: "bonus-box"
}
  , cn = {
    class: "limtend limtend1"
}
  , rn = {
    class: "limtend limtend2"
}
  , un = {
    class: "bonus-details details1"
}
  , dn = {
    class: "bonus-percentage"
}
  , vn = {
    class: "bonus-description"
}
  , _n = {
    class: "bonus-details details2"
}
  , pn = {
    class: "bonus-percentage"
}
  , mn = {
    class: "bonus-description"
}
  , fn = {
    class: "countdown-box"
}
  , hn = {
    class: "time-remaining"
}
  , gn = {
    key: 0,
    class: "bonus-amount"
}
  , wn = {
    key: 1,
    class: "time-box"
}
  , bn = {
    class: "time-item"
}
  , yn = le( () => e("span", {
    class: "colon"
}, ":", -1))
  , $n = {
    class: "time-item"
}
  , kn = le( () => e("span", {
    class: "colon"
}, ":", -1))
  , Sn = {
    class: "time-item"
}
  , Cn = {
    key: 4,
    class: "benefit-button-box"
}
  , An = {
    key: 5,
    class: "benefit-button-box"
}
  , In = {
    key: 6,
    class: "position_click"
}
  , Tn = le( () => e("div", {
    class: "click_area"
}, null, -1))
  , Bn = [Tn]
  , Pn = M({
    __name: "index",
    setup(s) {
        se(c => ({
            "2c97c46a-reBenefitBgUrl": _.value
        }));
        const t = ve()
          , {store: n} = J()
          , {timeUnits: o, reBenefitObj: a} = Dt()
          , u = x( () => sessionStorage.getItem("dollarSign") || "")
          , v = x( () => {
            var c;
            return ((c = a.value) == null ? void 0 : c.isFinish) || !1
        }
        )
          , _ = x( () => `url('${v.value ? Qs : Js}')`)
          , g = () => {
            n.isShowReBenefit = !1,
            t.push("/wallet/Recharge")
        }
        ;
        return (c, w) => {
            const T = E("van-dialog");
            return d(),
            V(T, {
                show: i(n).isShowReBenefit,
                "onUpdate:show": w[2] || (w[2] = k => i(n).isShowReBenefit = k),
                className: "reBenefit-dialog",
                "show-confirm-button": !1
            }, De({
                default: P( () => {
                    var k, h, C;
                    return [e("div", Zs, [e("div", en, [e("div", tn, [G(l(c.$t("reBenefits10")) + " ", 1), sn, G(l(c.$t("reBenefits1")), 1)]), v.value ? (d(),
                    m("div", nn, l(c.$t("reBenefits3")), 1)) : (d(),
                    m("div", on, l(c.$t("reBenefits2")), 1)), v.value ? (d(),
                    m("div", an, l(c.$t("reBenefits6")), 1)) : (d(),
                    m("div", ln, [e("div", cn, l(c.$t("reBenefits10")), 1), e("div", rn, l(c.$t("reBenefits10")), 1), e("div", un, [e("p", dn, l((k = i(a)) == null ? void 0 : k.bonusAmountRate) + "%", 1), e("p", vn, l(c.$t("reBenefits4")), 1)]), e("div", _n, [e("p", pn, l((h = i(a)) == null ? void 0 : h.bonusAmountLimit), 1), e("p", mn, l(c.$t("reBenefits5")), 1)])])), e("div", fn, [e("p", hn, l(v.value ? c.$t("reBenefits8") : c.$t("reBenefits7")), 1), v.value ? (d(),
                    m("div", gn, l(u.value) + l(((C = i(a)) == null ? void 0 : C.rewardAmount) || 0), 1)) : (d(),
                    m("div", wn, [e("div", bn, [e("span", null, l(i(o).hours[0]), 1), e("span", null, l(i(o).hours[1]), 1)]), yn, e("div", $n, [e("span", null, l(i(o).minutes[0]), 1), e("span", null, l(i(o).minutes[1]), 1)]), kn, e("div", Sn, [e("span", null, l(i(o).seconds[0]), 1), e("span", null, l(i(o).seconds[1]), 1)])]))]), v.value ? (d(),
                    m("div", Cn, [e("div", {
                        class: "button-benefit",
                        onClick: w[0] || (w[0] = y => i(n).isShowReBenefit = !1)
                    }, l(c.$t("iKonw")), 1)])) : (d(),
                    m("div", An, [e("div", {
                        class: "button-benefit",
                        onClick: g
                    }, l(c.$t("reBenefits9")), 1)])), v.value ? $("v-if", !0) : (d(),
                    m("div", In, Bn))])])]
                }
                ),
                _: 2
            }, [v.value ? void 0 : {
                name: "footer",
                fn: P( () => [e("div", {
                    class: "close",
                    onClick: w[1] || (w[1] = k => i(n).isShowReBenefit = !1)
                })]),
                key: "0"
            }]), 1032, ["show"])
        }
    }
});
const Rn = U(Pn, [["__scopeId", "data-v-2c97c46a"], ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/Activity/ReBenefits/index.vue"]])
  , ce = s => (ne("data-v-425062e0"),
s = s(),
oe(),
s)
  , Ln = {
    class: "container"
}
  , Dn = {
    key: 0,
    class: "title"
}
  , xn = {
    key: 1,
    class: "title"
}
  , Nn = {
    key: 2,
    class: "subtitle"
}
  , Un = {
    key: 3,
    class: "subtitle"
}
  , Vn = {
    class: "rewards"
}
  , On = {
    class: "get-reward-animation",
    ref: "animation"
}
  , Mn = {
    key: 0
}
  , En = ce( () => e("div", {
    class: "box_bg_light"
}, null, -1))
  , jn = ce( () => e("div", {
    class: "box_closed"
}, null, -1))
  , Gn = [En, jn]
  , zn = {
    key: 1
}
  , Hn = ce( () => e("div", {
    class: "box_open"
}, null, -1))
  , Fn = ce( () => e("div", {
    class: "box_front_light"
}, null, -1))
  , Wn = {
    class: "reward_item"
}
  , Kn = {
    class: "button-box"
}
  , Yn = M({
    __name: "index",
    setup(s) {
        const t = ie()
          , {store: n} = J()
          , {currentChest: o, rewardAmount: a, openChest: u, closeCurrentChest: v, initTreasureChest: _} = xt();
        b(!0);
        const g = b(!1)
          , c = K()
          , w = async () => {
            await u(),
            g.value = !0
        }
          , T = () => {
            g.value = !1,
            v()
        }
          , k = ["home", "main"]
          , h = () => !!t.token && !!t.userInfo && Object.keys(t.userInfo).length > 0;
        return H( () => c.name, C => {
            c.name && k.includes(c.name) && h() && _()
        }
        ),
        j( () => {
            c.name && k.includes(c.name) && h() && _()
        }
        ),
        (C, y) => {
            const f = E("van-dialog");
            return d(),
            V(f, {
                show: i(n).isShowTreasureChest,
                "onUpdate:show": y[0] || (y[0] = r => i(n).isShowTreasureChest = r),
                className: "treasureChest-dialog",
                "show-confirm-button": !1
            }, {
                default: P( () => {
                    var r, p, D, R, A, Y, q, I;
                    return [e("div", Ln, [((r = i(o)) == null ? void 0 : r.taskType) == 1 ? (d(),
                    m("div", Dn, l(C.$t("treasureChest1", {
                        task: ((p = i(o)) == null ? void 0 : p.taskTitle) || ""
                    })), 1)) : (d(),
                    m("div", xn, l(C.$t("treasureChest1", {
                        task: ((D = i(o)) == null ? void 0 : D.taskTitle) || ""
                    })), 1)), !((R = i(o)) != null && R.minRewardAmount) || !((A = i(o)) != null && A.maxRewardAmount) ? (d(),
                    m("div", Nn, l(C.$t("treasureChest2", {
                        amount: ((Y = i(o)) == null ? void 0 : Y.rewardAmount) || 0
                    })), 1)) : (d(),
                    m("div", Un, l(C.$t("treasureChest2", {
                        amount: `${((q = i(o)) == null ? void 0 : q.minRewardAmount) || 0}~${((I = i(o)) == null ? void 0 : I.maxRewardAmount) || 0}`
                    })), 1)), e("div", Vn, [e("div", On, [g.value ? (d(),
                    m("div", zn, [Hn, Fn, e("div", Wn, l(C.$t("treasureChest4", {
                        amount: i(a) || 0
                    })), 1)])) : (d(),
                    m("div", Mn, Gn))], 512)]), e("div", Kn, [g.value ? (d(),
                    m("div", {
                        key: 0,
                        class: "btn btn-close-chest",
                        onClick: T
                    }, l(C.$t("confirm")), 1)) : (d(),
                    m("div", {
                        key: 1,
                        class: "btn btn-open-chest",
                        onClick: w
                    }, l(C.$t("treasureChest3")), 1))])])]
                }
                ),
                _: 1
            }, 8, ["show"])
        }
    }
});
const qn = U(Yn, [["__scopeId", "data-v-425062e0"], ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/Activity/TreasureChest/index.vue"]])
  , Xn = {
    class: "dialog-window"
}
  , Jn = {
    class: "dialog-wrapper"
}
  , Qn = {
    class: "dialog-title"
}
  , Zn = {
    class: "dialog-content"
}
  , eo = {
    class: "dialog-window"
}
  , to = {
    class: "dialog-wrapper"
}
  , so = {
    class: "dialog-title"
}
  , no = {
    class: "dialog-tips"
}
  , oo = {
    class: "dialog-content"
}
  , ao = {
    class: "dialog-tips",
    style: {
        "margin-bottom": "0"
    }
}
  , io = {
    class: "dialog-window"
}
  , lo = {
    class: "dialog-wrapper"
}
  , co = {
    class: "dialog-tips",
    style: {
        "margin-top": "10px"
    }
}
  , ro = {
    class: "dialog-title",
    style: {
        "margin-top": "0"
    }
}
  , uo = {
    class: "dialog-tips"
}
  , vo = {
    class: "dialog-content"
}
  , _o = {
    class: "dialog-window"
}
  , po = {
    class: "dialog-wrapper"
}
  , mo = {
    class: "dialog-tips",
    style: {
        "margin-top": "10px"
    }
}
  , fo = {
    class: "dialog-title",
    style: {
        "margin-top": "0"
    }
}
  , ho = {
    class: "dialog-tips"
}
  , go = {
    class: "dialog-content"
}
  , wo = {
    class: "dialog-window"
}
  , bo = {
    class: "dialog-wrapper"
}
  , yo = {
    class: "dialog-receive"
}
  , $o = {
    class: "dialog-title"
}
  , ko = {
    class: "dialog-tips"
}
  , So = {
    class: "dialog-content"
}
  , Co = {
    class: "dialog-18"
}
  , Ao = {
    class: "tip_txt"
}
  , Io = {
    class: "dialog-footer"
}
  , To = {
    class: "dialog-18"
}
  , Bo = {
    class: "dialog-footer"
}
  , Po = M({
    __name: "AllPageDialog",
    setup(s) {
        const {ActiveSotre: t} = Ce()
          , {store: n, closeInvite: o, showFirstSave: a, onReturnAwards: u, onAppDownloadAwards: v, onRegisterGift: _} = J()
          , g = K()
          , c = b(!1)
          , w = b(!1)
          , T = localStorage.getItem("is18") || void 0
          , k = ae()
          , h = ["poppg", "POP888", "POP555", "pop", "POP678"]
          , C = b(Nt())
          , y = x( () => h.includes(k.projectName))
          , f = r => {
            r ? (localStorage.setItem("is18", "1"),
            c.value = !1) : w.value = !0
        }
        ;
        return H( () => y.value, r => {
            r && (c.value = !(T && T === "1"))
        }
        , {
            immediate: !0
        }),
        H( () => g.path, r => {
            n.rewardCenter = !1
        }
        ),
        (r, p) => {
            const D = E("van-dialog")
              , R = de("lazy");
            return d(),
            m(z, null, [i(a) ? (d(),
            V(Ds, {
                key: 0
            })) : $("v-if", !0), B(D, {
                show: i(t).showReceiveDialog,
                "onUpdate:show": p[1] || (p[1] = A => i(t).showReceiveDialog = A),
                "show-confirm-button": !1,
                className: "noOverHidden"
            }, {
                default: P( () => [e("div", Xn, [e("div", Jn, [O(e("img", null, null, 512), [[R, i(W)("public", "succeed")]]), e("div", Qn, l(r.$t("awardsReceived")), 1), e("div", Zn, [O(e("img", null, null, 512), [[R, i(W)("activity/DailyTask", "amountIcon")]]), e("span", null, l(i(X)(i(t).receiveAmount)), 1)]), e("div", {
                    class: "dialog-btn",
                    onClick: p[0] || (p[0] = A => i(t).showReceiveDialog = !1)
                }, l(r.$t("confirm")), 1)])])]),
                _: 1
            }, 8, ["show"]), B(D, {
                show: i(n).invite,
                "onUpdate:show": p[3] || (p[3] = A => i(n).invite = A),
                "show-confirm-button": !1,
                className: "noOverHidden"
            }, {
                default: P( () => [e("div", eo, [e("div", to, [O(e("img", null, null, 512), [[R, i(W)("public", "succeed")]]), e("div", so, l(r.$t("inviteTips")), 1), e("p", no, l(r.$t("inviteAmount")), 1), e("div", oo, [e("span", ao, l(r.$t("commissionAmount")), 1), e("span", null, l(i(X)(i(n).rebateAmount)), 1)]), e("div", {
                    class: "dialog-btn",
                    onClick: p[2] || (p[2] = A => i(o)())
                }, l(r.$t("receive")), 1)])])]),
                _: 1
            }, 8, ["show"]), $("老会员回归"), B(D, {
                show: i(n).oldUser,
                "onUpdate:show": p[5] || (p[5] = A => i(n).oldUser = A),
                "show-confirm-button": !1,
                "close-on-click-overlay": !0,
                className: "noOverHidden"
            }, {
                default: P( () => [e("div", io, [e("div", lo, [O(e("img", null, null, 512), [[R, i(W)("public", "succeed")]]), e("p", co, l(r.$t("oldPromptTip")), 1), e("div", ro, l(r.$t("oldPrompt")), 1), e("p", uo, l(r.$t("oldPromptGift")), 1), e("div", vo, [e("span", null, l(i(X)(i(n).returnAwards)), 1)]), e("div", {
                    class: "dialog-btn",
                    onClick: p[4] || (p[4] = A => i(u)())
                }, l(r.$t("receive")), 1)])])]),
                _: 1
            }, 8, ["show"]), $("注册登陆送彩金"), B(D, {
                show: i(n).registerGift,
                "show-confirm-button": !1,
                "close-on-click-overlay": !0,
                className: "noOverHidden"
            }, {
                default: P( () => [e("div", _o, [e("div", po, [O(e("img", null, null, 512), [[R, i(W)("public", "succeed")]]), e("p", mo, l(r.$t("newRegisterTip")), 1), e("div", fo, l(r.$t("newRegisterPrompt")), 1), e("p", ho, l(r.$t("newRegisterGift", [i(ie)().getUserInfo.channelAmountofCode])), 1), e("div", go, [e("span", null, l(i(X)(i(n).registerGiftAmount)), 1)]), e("div", {
                    class: "dialog-btn",
                    onClick: p[6] || (p[6] = A => i(_)())
                }, l(r.$t("receive")), 1)])])]),
                _: 1
            }, 8, ["show"]), $("下载充值送彩金奖励"), B(D, {
                show: i(n).appDownload,
                "onUpdate:show": p[8] || (p[8] = A => i(n).appDownload = A),
                "show-confirm-button": !1,
                "close-on-click-overlay": !0,
                className: "noOverHidden"
            }, {
                default: P( () => [e("div", wo, [e("div", bo, [O(e("img", null, null, 512), [[R, i(W)("public", "succeed")]]), e("p", yo, l(r.$t("downReceiveText1")), 1), e("div", $o, l(r.$t("downReceiveText2")), 1), e("p", ko, l(r.$t("downReceiveText3")), 1), e("div", So, [e("span", null, l(i(X)(i(n).downAppRewardBonusAmount)), 1)]), e("div", {
                    class: "dialog-btn",
                    onClick: p[7] || (p[7] = A => i(v)())
                }, l(r.$t("receive")), 1)])])]),
                _: 1
            }, 8, ["show"]), B(D, {
                show: c.value,
                "onUpdate:show": p[11] || (p[11] = A => c.value = A),
                className: "custom18dialog noOverHidden",
                "show-confirm-button": !1,
                "close-on-click-overlay": !1
            }, {
                default: P( () => [e("div", Co, [e("div", null, [e("span", null, l(r.$t("loginTips", [i(k).projectName])), 1), e("div", Ao, l(r.$t("brazildialog1")), 1)]), e("div", Io, [e("div", {
                    class: "btn-cnf dialog-btn",
                    onClick: p[9] || (p[9] = A => f(!0))
                }, l(r.$t("brazildialog2")), 1), e("div", {
                    class: "btn-cancel dialog-btn",
                    onClick: p[10] || (p[10] = A => f(!1))
                }, l(r.$t("brazildialog3")), 1)])])]),
                _: 1
            }, 8, ["show"]), B(D, {
                show: w.value,
                "onUpdate:show": p[13] || (p[13] = A => w.value = A),
                className: "custom18dialog noAge",
                "show-confirm-button": !1,
                "close-on-click-overlay": !1
            }, {
                default: P( () => [e("div", To, [e("div", null, [e("span", null, l(r.$t("brazildialog4")), 1)]), e("div", Bo, [e("div", {
                    class: "btn-cancel dialog-btn no-btn",
                    onClick: p[12] || (p[12] = A => w.value = !1)
                }, l(r.$t("confirm")), 1)])])]),
                _: 1
            }, 8, ["show"]), B(Xs), $(" 会员回归充值奖励 "), B(Rn), C.value ? (d(),
            V(Ws, {
                key: 1
            })) : $("v-if", !0), $(" 宝箱弹窗 "), B(qn)], 64)
        }
    }
});
const Ro = U(Po, [["__scopeId", "data-v-3d4fafbb"], ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/common/AllPageDialog.vue"]])
  , Lo = M({
    __name: "App",
    setup(s) {
        se(S => ({
            "f13b4d11-currentFontFamily": p.value
        }));
        const {openAll: t} = J()
          , n = Xt()
          , o = b(!1)
          , a = b(!1)
          , u = K()
          , v = Ut()
          , _ = ae()
          , {locale: g} = ye()
          , c = ie()
          , w = b(!1)
          , T = x( () => u.meta.tabBar)
          , k = b(0)
          , h = b(Math.floor(Math.random() * 1e4))
          , C = x( () => u.name + h.value)
          , y = () => {
            n.on("changeKeepAliveKey", () => {
                h.value = Math.floor(Math.random() * 1e4)
            }
            )
        }
        ;
        sessionStorage.getItem("isload") ? o.value = !1 : (a.value = !0,
        sessionStorage.setItem("isload", a.value.toString()),
        o.value = !0),
        _.getHomeSetting(),
        H( () => _.getAreacode, S => {
            S && v.setNumberType(S.substring(1))
        }
        ),
        H( () => _.getDL, S => {
            g.value = S,
            c.updateLanguage(S),
            Jt(S),
            Qt(Ae.global.t)
        }
        ),
        setTimeout( () => {
            o.value = !1
        }
        , 2e3);
        const f = b(!1)
          , r = Vt();
        r.$subscribe( (S, L) => {
            f.value = L.isLoading,
            r.setLoading(f.value)
        }
        );
        const p = b("bahnschrift");
        let D = Ot()
          , R = _.getLanguage
          , A = Mt(D, R);
        const Y = async S => {
            const L = [{
                title: "vi",
                fontStyle: "bahnschrift"
            }, {
                title: "else",
                fontStyle: "'Roboto', 'Inter', sans-serif"
            }]
              , N = L.findIndex(F => F.title == A);
            N >= 0 ? p.value = L[N].fontStyle : p.value = L[L.length - 1].fontStyle
        }
          , q = () => {
            n.on("keyChange", () => {
                console.log(222),
                k.value++
            }
            ),
            n.on("changeIsGame", () => {
                w.value = !w.value,
                f.value = !f.value
            }
            )
        }
          , I = () => {
            n.off("keyChange"),
            n.off("changeKeepAliveKey"),
            n.off("changeIsGame")
        }
        ;
        return v.setNumberType(_.getAreacode.substring(1)),
        Y(),
        j(async () => {
            const S = await Et()
              , L = await jt()
              , N = Gt();
            zt && S === 3 && !N.result && !L.isOpenBrowserConsoleDebug || Ht && S === 0 && !N.result && !L.isOpenBrowserConsoleDebug ? Ft() : Wt.stop()
        }
        ),
        j( () => {
            Kt() && Yt(),
            t(),
            I(),
            q(),
            y(),
            localStorage.getItem("language") && qt(localStorage.getItem("language"))
        }
        ),
        fs(),
        (S, L) => {
            const N = E("LoadingView");
            return d(),
            m(z, null, [B(N, {
                loading: f.value,
                type: "loading",
                isGame: w.value
            }, {
                default: P( () => [(d(),
                V(i(Ne), {
                    key: k.value
                }, {
                    default: P( ({Component: F}) => [(d(),
                    V(xe, {
                        max: 1
                    }, [i(u).meta.keepAlive ? (d(),
                    V(he(F), {
                        key: C.value
                    })) : $("v-if", !0)], 1024)), i(u).meta.keepAlive ? $("v-if", !0) : (d(),
                    V(he(F), {
                        key: 0
                    }))]),
                    _: 1
                })), $("online custom service"), B(gs), T.value ? (d(),
                V(ms, {
                    key: 0
                })) : $("v-if", !0)]),
                _: 1
            }, 8, ["loading", "isGame"]), o.value ? (d(),
            V(As, {
                key: 0
            })) : $("v-if", !0), B(Ro)], 64)
        }
    }
});
const Do = U(Lo, [["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/entrance/ar079/App.vue"]]);
const xo = {
    mounted(s, t) {
        if (typeof t.value[0] != "function" || typeof t.value[1] != "number")
            throw new Error("v-debounce: value must be an array that includes a function and a number");
        let n = null;
        const o = t.value[0]
          , a = t.value[1];
        s.__handleClick__ = function() {
            n && clearTimeout(n),
            n = setTimeout( () => {
                o()
            }
            , a || 500)
        }
        ,
        s.addEventListener("click", s.__handleClick__)
    },
    beforeUnmount(s) {
        s.removeEventListener("click", s.__handleClick__)
    }
}
  , No = {
    mounted(s, t) {
        if (typeof t.value[0] != "function" || typeof t.value[1] != "number")
            throw new Error("v-throttle: value must be an array that includes a function and a number");
        let n = null;
        const o = t.value[0]
          , a = t.value[1];
        s.__handleClick__ = function() {
            n && clearTimeout(n),
            s.disabled || (s.disabled = !0,
            o(),
            n = setTimeout( () => {
                s.disabled = !1
            }
            , a || 500))
        }
        ,
        s.addEventListener("click", s.__handleClick__)
    },
    beforeUnmount(s) {
        s.removeEventListener("click", s.__handleClick__)
    }
}
  , Uo = {
    mounted(s, t) {
        s.addEventListener("input", n => {
            const a = s.value.replace(/\D+/g, "");
            s.value = a,
            t.value = a
        }
        )
    }
}
  , Vo = s => ({
    beforeMount: (t, n) => {
        t.classList.add("ar-lazyload");
        const {value: o} = n;
        t.dataset.origin = o,
        s.observe(t)
    }
    ,
    updated(t, n) {
        t.dataset.origin = n.value,
        s.observe(t)
    },
    unmounted(t, n) {
        s.unobserve(t)
    },
    mounted(t, n) {
        s.observe(t)
    }
})
  , Oo = {
    mounted(s, t) {
        let n = 0;
        const o = t.value && t.value.wait ? t.value.wait : 3e3
          , a = u => {
            const v = Date.now();
            v - n >= o && (n = v,
            t.value && t.value.handler && t.value.handler(u))
        }
        ;
        s.addEventListener("click", a),
        s._throttleClickCleanup = () => {
            s.removeEventListener("click", a)
        }
    },
    unmounted(s) {
        s._throttleClickCleanup && s._throttleClickCleanup(),
        delete s._throttleClickCleanup
    }
}
  , Mo = {
    mounted(s, t) {
        const {value: n} = t;
        let o = Ue("permission", null);
        o.value === null || !n || (o && (o = JSON.parse(o.value)),
        o && o[n] === !1 && (s.style.display = "none"))
    }
};
class Eo {
    constructor(t) {
        re(this, "timer");
        re(this, "el");
        this.el || (this.el = t,
        this.el.style.transition = "all .3s",
        this.setTransformStyle("none"))
    }
    foldUp() {
        if (this.el) {
            const t = window.innerWidth
              , n = window.innerHeight
              , o = this.el.getBoundingClientRect()
              , a = o.top < 0 ? 0 : o.top
              , u = o.left < 0 ? 0 : o.left
              , v = t - o.right < 0 ? 0 : t - o.right
              , _ = n - o.bottom < 0 ? 0 : n - o.bottom
              , g = Math.min(a, u, v, _);
            if (g === a) {
                const c = o.height * .8 + a;
                this.setTransformStyle(`translate(0, -${c}px)`)
            } else if (g === u) {
                const c = -1 * o.width * .8 - u;
                this.setTransformStyle(`translate(${c}px, 0)`)
            } else if (g === v) {
                const c = o.width * .8 + v;
                this.setTransformStyle(`translate(${c}px, 0)`)
            } else if (g === _) {
                const c = o.height * .8 + _;
                this.setTransformStyle(`translate(0, ${c}px)`)
            }
        }
    }
    expand() {
        this.el && this.setTransformStyle("none")
    }
    setTransformStyle(t) {
        if (this.el) {
            const n = jo(this.el).transform ?? "none";
            n == "none" && t != n ? this.el.style.transform = t : t == "none" && t != n && (this.el.style.transform = t)
        }
    }
}
function jo(s) {
    return window.getComputedStyle ? window.getComputedStyle(s, null) : document.defaultView && document.defaultView.getComputedStyle ? document.defaultView.getComputedStyle(s, null) : s.style
}
document.addEventListener("touchmove", () => {
    var s;
    (s = window.hiddenAn) == null || s.map(t => {
        var n;
        (n = t.AnimationScroll) == null || n.foldUp(),
        t.AnimationScroll && (clearTimeout(t.AnimationScroll.timer),
        t.AnimationScroll.timer = setTimeout( () => {
            var o;
            t && t.AnimationScroll && (clearTimeout(t.AnimationScroll.timer),
            (o = t.AnimationScroll) == null || o.expand())
        }
        , 1500))
    }
    )
}
);
const Go = {
    mounted(s, t) {
        s.AnimationScroll = new Eo(s),
        window.hiddenAn && Array.isArray(window.hiddenAn) ? window.hiddenAn.push(s) : window.hiddenAn = [s]
    },
    unmounted(s) {
        s.AnimationScroll && (Array.isArray(window.hiddenAn) && (window.hiddenAn = window.hiddenAn.filter(t => t != s)),
        s.AnimationScroll = void 0)
    }
}
  , we = {
    debounce: xo,
    throttle: No,
    onlyNum: Uo,
    throttleClick: Oo,
    haspermission: Mo,
    scrollhide: Go
}
  , zo = {
    install: function(s) {
        Object.keys(we).forEach(n => {
            s.directive(n, we[n])
        }
        );
        const t = new IntersectionObserver(n => {
            n.forEach(o => {
                if (o.isIntersecting) {
                    const a = o.target
                      , u = ke("images", "avatar")
                      , v = a.dataset.origin;
                    a.src = v || u,
                    a.onerror = () => {
                        t.unobserve(a);
                        let _ = a.dataset.img || u;
                        if (!_ || _ != null && _.includes("undefined")) {
                            a.onerror = null;
                            return
                        }
                        v !== _ && (a.src = _,
                        a.style.objectFit = "contain"),
                        a.onerror = null
                    }
                    ,
                    a.classList.remove("ar-lazyload"),
                    t.unobserve(a)
                }
            }
            )
        }
        ,{
            rootMargin: "0px 0px -50px 0px"
        });
        s.directive("lazy", Vo(t))
    }
}
  , Ho = {
    class: "navbar-fixed"
}
  , Fo = {
    class: "navbar__content"
}
  , Wo = {
    class: "navbar__content-center"
}
  , Ko = {
    class: "navbar__content-title"
}
  , Yo = M({
    __name: "NavBar",
    props: {
        title: {
            type: String,
            default: ""
        },
        placeholder: {
            type: Boolean,
            default: !0
        },
        leftArrow: {
            type: Boolean,
            default: !1
        },
        backgroundColor: {
            type: String,
            default: "#f7f8ff"
        },
        classN: {
            type: String,
            default: ""
        },
        headLogo: {
            type: Boolean,
            default: !1
        },
        headerUrl: {
            type: String,
            default: ""
        }
    },
    emits: ["click-left", "click-right"],
    setup(s, {emit: t}) {
        const n = b()
          , o = ae()
          , a = x( () => o.getHeadLogo)
          , u = () => {
            t("click-left")
        }
          , v = () => {
            t("click-right")
        }
        ;
        return j( () => {}
        ),
        (_, g) => {
            const c = E("van-icon");
            return d(),
            m("div", {
                class: "navbar",
                ref_key: "navbar",
                ref: n
            }, [e("div", Ho, [e("div", Fo, [e("div", {
                class: "navbar__content-left",
                onClick: u
            }, [Z(_.$slots, "left", {}, () => [s.leftArrow ? (d(),
            V(c, {
                key: 0,
                name: "arrow-left"
            })) : $("v-if", !0)], !0)]), e("div", Wo, [s.headLogo ? (d(),
            m("div", {
                key: 0,
                class: "headLogo",
                style: Ve({
                    backgroundImage: "url(" + (s.headerUrl || a.value) + ")"
                })
            }, null, 4)) : $("v-if", !0), Z(_.$slots, "center", {}, () => [e("div", Ko, l(s.title), 1)], !0)]), e("div", {
                class: "navbar__content-right",
                onClick: v
            }, [Z(_.$slots, "right", {}, void 0, !0)])])])], 512)
        }
    }
});
const qo = U(Yo, [["__scopeId", "data-v-12a80a3e"], ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/common/NavBar.vue"]])
  , Xo = {
    class: "ar-loading-view"
}
  , Jo = {
    class: "loading-wrapper"
}
  , Qo = {
    class: "com__box"
}
  , Zo = Oe('<div class="loading" data-v-647954c7><div class="shape shape-1" data-v-647954c7></div><div class="shape shape-2" data-v-647954c7></div><div class="shape shape-3" data-v-647954c7></div><div class="shape shape-4" data-v-647954c7></div></div>', 1)
  , ea = {
    class: "skeleton-wrapper"
}
  , ta = {
    class: "iosDialog"
}
  , sa = {
    class: "title"
}
  , na = {
    class: "websit_info"
}
  , oa = ["src"]
  , aa = {
    class: "link"
}
  , ia = {
    class: "text"
}
  , la = {
    class: "text"
}
  , ca = {
    class: "text"
}
  , ra = ["src"]
  , ua = M({
    __name: "LoadingView",
    props: {
        loading: {
            type: Boolean,
            required: !0
        },
        type: {
            type: String,
            required: !0
        },
        isGame: {
            type: Boolean,
            required: !0
        }
    },
    setup(s) {
        const t = s
          , n = b();
        let o = null;
        const {homeState: a, downloadIcon: u} = Zt()
          , v = K()
          , {getSelfCustomerServiceLink: _} = Se({
            ServerType: 2
        })
          , g = window.location.href
          , c = x( () => location.origin || "")
          , w = x( () => v.name === "game")
          , T = b(!1)
          , k = es( () => $e( () => import("./lottie_light-e5646df5.js").then(h => h.l), ["assets/js/lottie_light-e5646df5.js", "assets/js/common.modules-f9fa5dc7.js", "assets/css/common-05d2aa17.css"]));
        return j(async () => {
            if (g.includes("?")) {
                const h = new URLSearchParams(g.split("?")[1]);
                h.size && h.get("goTo") === "worktraking" && _("worktraking")
            }
        }
        ),
        H( () => t.loading, async () => {
            t.type === "loading" && !t.isGame && (!o && !T.value && (T.value = !0,
            o = (await k()).loadAnimation({
                container: n.value,
                renderer: "svg",
                loop: !0,
                autoplay: !0,
                path: "/data.json"
            }),
            T.value = !1),
            t.loading ? o && o.play() : o && o.stop())
        }
        ),
        be( () => {
            o && o.destroy(),
            o = null
        }
        ),
        (h, C) => {
            const y = E("VanSkeleton")
              , f = E("svg-icon")
              , r = E("van-popup");
            return d(),
            m(z, null, [O(e("div", Xo, [Z(h.$slots, "template", {}, () => [O(e("div", Jo, [$(" <VanLoading /> "), O(e("div", {
                ref_key: "element",
                ref: n,
                class: "loading-animat"
            }, null, 512), [[Q, !h.isGame]]), O(e("div", Qo, [$(" loading "), Zo, $(" 说明：组件名 ")], 512), [[Q, h.isGame]]), $(' <div class="animation"></div> ')], 512), [[Q, h.type === "loading"]]), O(e("div", ea, [B(y, {
                row: 10
            }), B(y, {
                title: "",
                avatar: "",
                row: 5
            }), B(y, {
                title: "",
                row: 5
            })], 512), [[Q, h.type === "skeleton"]])], !0)], 512), [[Q, h.loading && !w.value]]), Z(h.$slots, "default", {}, void 0, !0), B(r, {
                show: i(a).iosDialog,
                "onUpdate:show": C[0] || (C[0] = p => i(a).iosDialog = p),
                round: "",
                closeable: "",
                position: "bottom",
                style: {
                    height: "40%"
                }
            }, {
                default: P( () => [e("div", ta, [e("div", sa, l(h.$t("pwaInstall")), 1), e("div", na, [e("img", {
                    class: "icon",
                    src: i(u)
                }, null, 8, oa), e("div", aa, [e("div", null, l(c.value.split("://")[1]), 1), e("div", null, l(c.value), 1)])]), e("div", ia, [G("1. " + l(h.$t("pwaText1")) + " ", 1), B(f, {
                    name: "share"
                })]), e("div", la, [G("2. " + l(h.$t("pwaText2")) + " ", 1), e("span", null, [G(l(h.$t("pwaText3")) + " ", 1), B(f, {
                    name: "add_icon"
                })])]), e("div", ca, [G("3. " + l(h.$t("pwaText4")) + " ", 1), e("img", {
                    class: "icon",
                    src: i(u)
                }, null, 8, ra)])])]),
                _: 1
            }, 8, ["show"])], 64)
        }
    }
});
const da = U(ua, [["__scopeId", "data-v-647954c7"], ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/common/LoadingView.vue"]]);
const va = ["xlink:href"]
  , _a = {
    __name: "svgIcons",
    props: {
        name: {
            type: String,
            required: !0
        },
        color: {
            type: String,
            default: ""
        }
    },
    setup(s) {
        const t = s
          , n = x( () => `#icon-${t.name}`)
          , o = x( () => t.name ? `svg-icon icon-${t.name}` : "svg-icon");
        return (a, u) => (d(),
        m("svg", Me({
            class: o.value
        }, a.$attrs, {
            style: {
                color: s.color
            }
        }), [e("use", {
            "xlink:href": n.value
        }, null, 8, va)], 16))
    }
}
  , pa = U(_a, [["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/common/svgIcons.vue"]])
  , ma = {
    class: "ar-searchbar__selector"
}
  , fa = {
    class: "ar-searchbar__selector-default"
}
  , ha = M({
    __name: "ArSelect",
    props: {
        selectName: {
            type: String,
            default: ""
        }
    },
    emits: ["click-select"],
    setup(s, {emit: t}) {
        const n = () => {
            t("click-select")
        }
        ;
        return (o, a) => {
            const u = E("van-icon");
            return d(),
            m("div", ma, [e("div", {
                onClick: n
            }, [e("span", fa, l(i(ts)(s.selectName)), 1), B(u, {
                name: "arrow-down"
            })])])
        }
    }
});
const ga = U(ha, [["__scopeId", "data-v-fa757a88"], ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/common/ArSelect.vue"]])
  , wa = "/assets/png/saasMaintain-0cece951.png"
  , ba = "/assets/png/maintain-0a66a6f6.png"
  , ya = {
    key: 0,
    class: "maintain"
}
  , $a = {
    key: 0,
    src: wa,
    alt: ""
}
  , ka = {
    key: 1,
    src: ba,
    alt: ""
}
  , Sa = M({
    __name: "Maintain",
    props: {
        item: {
            type: Object,
            default: () => ({})
        },
        size: {
            type: Boolean,
            default: !1
        }
    },
    setup(s) {
        const t = s
          , n = x( () => t.item.isMaintain === 1 ? 1 : t.item.isGameSaasMaintain === 1 ? 2 : 0);
        return (o, a) => n.value ? (d(),
        m("div", ya, [n.value === 2 ? (d(),
        m("img", $a)) : $("v-if", !0), n.value === 1 ? (d(),
        m("img", ka)) : $("v-if", !0), e("p", {
            class: te({
                maintainSize: s.size
            })
        }, l(o.$t("GameMaintenance")), 3)])) : $("v-if", !0)
    }
});
const Ca = U(Sa, [["__scopeId", "data-v-102796dc"], ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/common/Maintain.vue"]]);
Ee({
    duration: 3500,
    zIndex: 4e3
});
ss();
const Aa = s => {
    s.component("NavBar", qo),
    s.component("LoadingView", da),
    s.component("ArSelect", ga),
    s.component("svg-icon", pa),
    s.component("Maintain", Ca),
    s.use(je).use(Ge).use(ze).use(He).use(Fe).use(We).use(Ke).use(Ye).use(qe).use(Xe).use(Je).use(Qe).use(Ze).use(et).use(tt).use(st).use(nt).use(ot).use(at).use(it).use(lt).use(ct).use(rt).use(ut).use(dt).use(vt).use(_t).use(pt).use(mt).use(ft).use(ht).use(gt).use(wt).use(bt).use(yt).use($t).use(kt).use(Ae).use(zo).use(St).use(Ct).use(At);
    let t = s.config.globalProperties
      , n = {};
    n.TopHeight = 38,
    Object.keys(ge.refiter).forEach(o => {
        n[o] = ge.refiter[o]
    }
    ),
    t.$u = n
}
;
({}).VITE_POINT && ns[{}.VITE_POINT]();
Ie.addRoute({
    path: "/",
    name: "home",
    component: () => $e( () => import("./page-home-other-6e2f6e99.js").then(s => s.p), ["assets/js/page-home-other-6e2f6e99.js", "assets/js/common.modules-f9fa5dc7.js", "assets/css/common-05d2aa17.css", "assets/js/page-activity-ActivityDetail-0d51a056.js", "assets/js/page-turntable-assets-d6267459.js", "assets/js/native/index-eb46cb93.js", "assets/js/en-0806f032.js", "assets/css/page-activity-ActivityDetail-a597c4a3.css", "assets/css/page-home-other-06432bae.css"]),
    meta: {
        title: "home",
        tabBar: !0,
        keepAlive: !1
    }
});
const _e = It(Do)
  , Te = Tt();
Aa(_e);
Te.use(Bt);
_e.use(Ie).use(Te);
_e.mount("#app");
